Page MenuHomePhabricator

Arrow icons in mobile watchlist are unnecessary and distracting
Closed, ResolvedPublic

Description

The mobile watchlist now shows up / down arrows in the left column, next to the number of characters changed. I like the fact that someone is working on improving the mobile watchlist, but I think in this case the previous situation (without the arrows) works better.

They are just too prominent. They are also redundant, the red/green of the font is enough. It is relevant to see whether an edit contains a small or big change, and whether it is more about writing or deleting. In te previous design the titles of articles were clearly the main elements, and the red/green number just a supporter. Now the bold arrows capture the attention first, distorting the picture.

These arrows might be misleading too. They somehow provide a meaning of good / bad, where green/up is good and red/down is bad. Intended or not, it's a wrong message.

My very first impression was that now we have an option to..... sort entries in the watchlist? Rate them up/down? After a couple of seconds I figured out what was going on, but then the initial pre-excitement vanished.


Version: unspecified
Severity: normal

Details

Reference
bz73422

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:58 AM
bzimport set Reference to bz73422.
bzimport added a subscriber: Unknown Object (MLST).
Qgil created this task.Nov 14 2014, 5:14 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/HgwV3cVF

Quim can you elaborate on what you are seeing? I don't see up/down arrows. Although I do see them on the diff page... e.g. https://en.m.wikipedia.org/wiki/Special:MobileDiff/633825868
are those what you are referring to?

A screenshot here would help. If you are indeed talking about those I know May and I were talking about whether they added any value.

Qgil added a comment.Nov 14 2014, 7:03 PM

Created attachment 17128
Mobile watchlist with arrow icons

Sure, here you have a screenshot of my ca.wiki mobile watchlist. I have everything experimental enabled.

Attached:

I can agree that there is a lot of negative connotations in down arrow on top of red colored text for bytes removed. I think at some point, we also used minus sign.

However, using colors to define the meanings of both figures doesn't always work for, e.g. users who don't see colors.

This is an issue that has been on some of our to-do but just not very high in priority. I can work with your primary designer on the relevant project to come up with a more appropriate sign to accompany those bytes removed/added figures depending on the priority of this bug.

Qgil added a comment.Nov 14 2014, 7:14 PM

Color blind users don't have any problem here either:

+259
-8
+25
+25

(In reply to Quim Gil from comment #5)

Color blind users don't have any problem here either:

+259
-8
+25
+25

The good/bad issue that you mentioned initially is still prominent though. But removing colors and arrow is a great step ahead.

Qgil added a comment.Nov 14 2014, 7:21 PM

+259 or -8 is just a description, I don't see the good/bad connotation there. Using green-red in numbers to denote characters added-removed is a (geeky) convention, and I don't think it is disturbing per se, or misleading.

I'd say, just remove the arrows and things will be fine, as they were before they came. The question would be: what problem are these arrows trying to solve?

Mmm weird.. I have no idea why these are showing up in alpha but they do not show up in beta or stable.

(May I don't think it is a high priority but I'll let Moiz decide about that)

Qgil added a comment.Nov 14 2014, 7:28 PM

(In reply to Jon from comment #8)

Mmm weird.. I have no idea why these are showing up in alpha but they do not
show up in beta or stable.

Looks like a good decision to me. :) Please don't rush pushing these arrows to stable.

PS: thank you both for the quick replies! Ah, I was missing filing bugs for MobileFrontend... ;)

The same on Special:Contributions:
https://de.m.wikipedia.org/wiki/Spezial:Beitr%C3%A4ge/Florianschmidtwelzow?mobileaction=alpha

I think, too, that we should remove the images (i will create a change for it)

Mmm weird.. I have no idea why these are showing up in alpha but they do not show up in beta or stable.

In stable, MobileUI:iconClass generates the following "mw-mf-bytesadded" as a class for icons (which is only defined for mobilediff: https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/blob/d240d28f3b128c503da7feb7b41d65d6f34f80ca/less/specials/mobilediff.less).

In alpha we use mw-ui-icon-bytesadded, where we have a rule for it in iconsNew.less: https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/blob/0da28a8f3c74b0cfa5263c969fc4d1db086b473d/less/iconsNew.less#L83

(it's possible to move the css rule out of mobilediff to be used in pagefeeds, but (like i said above), i think it's better to remove the icons :)).

Change 173535 had a related patch set uploaded by Florianschmidtwelzow:
Remove bytes{added|remoed} image from MobileSpecialPageFeed

https://gerrit.wikimedia.org/r/173535

Change 173535 merged by jenkins-bot:
Remove bytes{added|removed} image from MobileSpecialPageFeed

https://gerrit.wikimedia.org/r/173535

Florian closed this task as Resolved.Nov 27 2014, 9:18 PM
Florian claimed this task.

The arrows are removed (change merged). If i understood the discussion correct, that was the problem, which was adressed with this task, right? Should we rediscuss the color of the changed bytes, too? If yes, maybe in a new task? :)

Qgil added a comment.Nov 27 2014, 9:48 PM

Indeed, the only problem were the arrows. Thank you very much!

Qgil awarded a token.Nov 27 2014, 9:48 PM